%global with_python3 1

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:			pyke
Summary:		Knowledge-based inference engine
Version:		1.1.1
Release:		2%{?dist}
License:		MIT
Group:			System Environment/Libraries
URL:			http://pyke.sourceforge.net/
Source0:		http://download.sourceforge.net/%{name}/%{name}-%{version}.zip
%if 0%{?with_python3}
Source1:		http://download.sourceforge.net/%{name}/%{name}3-%{version}.zip
%endif # if with_python3
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:		noarch
BuildRequires:		python-devel, python-setuptools
Requires:		python-ply

%if 0%{?with_python3}
BuildRequires:          python3-devel
%endif # if with_python3

%description
Pyke is a knowledge-based inference engine (expert system) written in 100% 
python that can:
* Do both forward-chaining (data driven) and backward-chaining (goal 
  directed) inferencing.
* Automatically generate python programs by assembling individual python 
  functions into complete call graphs.

%if 0%{?with_python3}
%package -n python3-pyke
Summary:		Knowledge-based inference engine
Group:			System Environment/Libraries
Requires:		python3-ply

%description -n python3-pyke
Pyke is a knowledge-based inference engine (expert system) written in 100%
python that can:
* Do both forward-chaining (data driven) and backward-chaining (goal
  directed) inferencing.
* Automatically generate python programs by assembling individual python
  functions into complete call graphs.
%endif # with_python3

%prep
%if 0%{?with_python3}
%setup -q -a 1
mv %{name}-%{version} %{name}3-%{version}
%else
%setup -q
%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{name}3-%{version}
%{__python3} setup.py build
popd
%endif # with_python3

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%if 0%{?with_python3}
pushd %{name}3-%{version}
%{__python3} setup.py install --skip-build --root $RPM_BUILD_ROOT
popd
%endif # with_python3

rm -rf doc/testdocs*
# This is stupid. Delete this.
rm -rf $RPM_BUILD_ROOT/usr/pyke
rm -rf doc/source/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.txt LICENSE RELEASE_NOTES-* doc/html/
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}-%{version}*.egg-info/

%if 0%{?with_python3}
%files -n python3-pyke
%defattr(-,root,root,-)
%doc README.txt LICENSE RELEASE_NOTES-* doc/html/
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}*.egg-info
%endif # with_python3

%changelog
* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Apr 27 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1.1-1
- update to 1.1.1
- enable python3 support

* Mon Mar 15 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1-1
- update to 1.1

* Thu Nov  5 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.4-1
- update to 1.0.4

* Mon Oct 19 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.3-1
- update to 1.0.3

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 22 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.2-1
- update to 1.0.2

* Mon Apr  6 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.1-1
- update to 1.0.1

* Thu Mar 19 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.0-1
- update to 1.0

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 19 2009 Tom "spot" Callaway <tcallawa@redhat.com> 0.7-1
- update to 0.7

* Tue Jan  6 2009 Tom "spot" Callaway <tcallawa@redhat.com> 0.6-1
- update to 0.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.5-2
- Rebuild for Python 2.6

* Tue Nov 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.5-1
- update to 0.5

* Fri Sep 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.4-1
- update to 0.4

* Wed Apr 23 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.2-2
- add BR: python-setuptools

* Sat Mar 15 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.2-1
- Initial package for Fedora
